Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Remote file access >> NetBeans Java IDE


Vulnerability Assessment Details

NetBeans Java IDE

Vulnerability Assessment Summary
determines whether the remote root directory is browseable

Detailed Explanation for this Vulnerability Assessment

The remote host is running NetBeans (recently renamed to
Forte') Java IDE. There is a bug in this version that permits
anyone to browse the files on this system.


Solution : Set the HTTP server 'Enable' to FALSE in Project settings
Network Security Threat Level: High

Networks Security ID: 816

Vulnerability Assessment Copyright: This script is Copyright (C) 1999 Renaud Deraison

Cables, Connectors

Ubiquiti UniFi UVP-Pro VoIP Android Phone
$200.0
Ubiquiti UniFi UVP-Pro VoIP Android Phone pictureGrandstream GXV3240 Multimedia VoIP Android Phone
$150.0
Grandstream GXV3240 Multimedia VoIP Android Phone pictureMultiVOIP® MVP410-FX 96895426LF 4-Channel VOIP SIP Gateway (FXS/FXO)
$349.0
MultiVOIP® MVP410-FX 96895426LF 4-Channel VOIP SIP Gateway (FXS/FXO) pictureLot of 9 Mitel 5312 IP 5330 Phone SIP VOIP Dual Mode with Handset / PH374DS
$99.99
Lot of 9 Mitel 5312 IP 5330 Phone SIP VOIP Dual Mode with Handset / PH374DS picture


Discussions

No Discussions have been posted on this vulnerability.